import java.awt.Point;

public class MyMathImpl_AfterTest2 implements MyMath {

	public double euclideanDistance(Point a, Point b) throws IllegalArgumentException {

		if (a == null || b == null) {
			throw new IllegalArgumentException("Null is not allowed as argument.");
		}

		return 0;

	}
	
	public boolean login(String user, String pass) {
		return false;
	}
	
}

